v1.1.16
(Most of these changes have been in git for a long time since I didn't make a release in all this time)
fix not working with perl >=5.24 (remove 2 superfluous "my")
add support for .opus files
add option to simplify tree in folder pane
add option to ignore articles when sorting
add has_picture and has_lyrics optional fields
add artist_has_picture and album_has_picture virtual fields
PictureBrowser: add embedded picture mode (+ all files mode)
PictureBrowser: add "Reset view position when file changes" option
add option to some fields to show a "find songs with same ..." menu item
FilterPanes: add option to ignore 'none' row for histogram
restore mistakenly lost option to write playcount to tag
mpv: fix replaygain, equalizer & gapless playback with versions >= 0.28.0
mplayer: fix mplayer2/mpv-style options not working with mplayer1
fix crash when using search-as-you-type in SongList
fix removal of high-priority shortcuts not working
fix writing embedded lyrics not working
fix PictureBrowser not using case-insensitive sort
fix filtering on artists "" (displayed as <Unknown>) not working
fix dropping a url in PictureBrowser not working
fix error when renaming folder
fix crashing on exit
fix -tagedit not working when only 1 file
fix Makefile issue on openbsd
fix very wrong bitrate for some ogg files
mp3 files: try harder to find a good first frame even if not in length-check mode
add support for mp2 extension and change mp3 filetype
update AppStream metadata
picture finder plugin: update picture sources
audioscrobbler plugin: add a line showing number of plays waiting and button to send them now
lyrics plugin: add musixmatch.com source
artistinfo plugin: update parsing of artist biography
translations updates: Chinese (China), Czech, German, Greek, Hungarian, Japanese, Korean, Lithuanian,
	Malay (Malaysia), Polish, Portuguese, Portuguese (Brazil), Russian, Serbian, Spanish, Swedish
new translations: Estonian, Turkish

v1.1.15
replace gmb icon with the svg icon made by zeltak
add mpv output
add "high priority" keyboard shortcuts
add embedded pictures tab to song property dialog
when adding a song, check if it is already in the library with an old filename
PictureBrowser: improve navigation of the folder pane
PictureBrowser: add folder icons to folder pane
PictureBrowser: keep scaled size constant when changing picture
PictureBrowser: add "paste link" to context menu
activate "accent-insensitive" search on file, folder and comment fields
optimize function that remove "accents" (diacritic)
add star pictures option for rating fields
add option for label-like and rating fields to have a submenu in song context menu
add option to show/hide extension to title_or_file field (defaults to hide)
update google image parser
various equalizer improvements
use internal equalizer presets rather than gstreamer's (with option to sync with gstreamer's)
mplayer: use slave mode to improve the transition between songs
picture finder plugin: add DuckDuckGo search engine
add Shuffle command
use title_or_file instead of title for choose-songs menus
make middle-click on stop and quit button set the after queue action
make middle-click on Artist and Album Lock enqueue the artist or album
make filename sorting in PictureBrowser number-aware
add "Row number" column for SongList
add "Append to playlist" to song context menu when in list mode
show artist in addition to title in recent songs menu
fix setting master filter not working properly
mplayer: fix "Failed to open ~/.mplayer/input.conf" error
fix setting replaygain value with decimals not working with perl <5.20 when using locales that don't use dot as decimal separator
fix songs with no label/genre not matching negative label/genre filters
fix "0" appearing in "artists" tab for unknown artists
lastfm plugin: give up sending now-playing when the song is no longer playing
translations updates: Finnish, French, German, Korean, Malay (Malaysia)

v1.1.14
add support for gstreamer-1.x and small gstreamer updates/improvements
  gstreamer-1.x requires Glib::Object::Introspection and the gstreamer introspection data (Gst-1.0.typelib)
  the option -nogst will now disable loading gstreamer entirely
  the option -gst has been replaced by -gst0 that can force the use of gstreamer-0.10 even if gstreamer-1.0 is found
  when using gstreamer-1, can now ask the system to install missing plugins
add EqualizerPresets widget to change/edit equalizer presets (requires gstreamer-1.0)
  adds EqualizerPresets to the default Equalizer layout
  also adds EqualizerPresetsSimple widget as an alias for EqualizerPresets(open=1,notoggle=1)
add way to edit "persistent" labels, and dialog to rename labels
add "new label" entry to the "edit labels" submenu
make scroll wheel increase/decrease numbers in the search bar
add options to override default web browser and file browser
add thousand separators in most displayed numbers
various number-related improvements/fixes
  show unit for bitrate and sampling rate
  the length field now uses multiple units
  more consistent size units
  smarter parsing of units in search strings
fix auto-selected embedded pictures always showing the first picture (only fix newly autoselected pictures)
translations updates: Finnish, French, German, Polish, Korean, Serbian
new translations: Lithuanian, Malay (Malaysia)

v1.1.13
add lots of features to PictureBrowser
add Stop/Quit/Turnoff-after-this-song feature
various improvements to the fields tab in the preferences dialog
better handling of encoding when importing playlist files
improve fullscreen behavior
filesystem tab: fixes and improve its responsiveness
make right-click on album widget popup the album context menu
add basic support for SV8 mpc files
add support for reading pdf pages as images (requires poppler-utils) (mostly for PictureBrowser)
add RunShellCmd to run a command by the shell
add RunSysCmdOnSelected and RunShellCmdOnSelected to run commands on selected songs

layout widgets:
add noheader option to the Total widget
add ShuffleList and EmptyList buttons
add a shuffle button to EditListButtons

plugins:
add App Indicator plugin
cover finder plugin: update google-image results parsing
desktop widget plugin : add monitor setting
gnome_mmkeys: add support for MATE desktop

fixes:
fix error when trying to scan album replaygain info
fix fields sometimes not shown in the song_info tab
fix searching multi-dates fields with <= or >=
fix occasional crash when using the suggestion menu of SimpleSearch
fix RunSysCmd problems with non-utf8 file names
fix cover-art from embedded pictures ignored in mpris2 plugin
fix ShowHide not working in unity
fix playlist's position not always updated when adding songs
fix songs dragged from a filesystem tab not sorted
fix mosaic tooltip not positioned on the right monitor
fix wrong unfocused selected row color with SongTree with some themes
fix restoring window position on multiple-monitor
fix occasional loss of cover picture for album with compilation flag
replace warning by nice message when finding an orphaned fifo
set name for field fullfilename_raw (used for %f variable)

translation updates: German, Portuguese (Brazilian), Russian, Finnish
new translation: Greek

v1.1.12
fix not being able to remove filters from lists in playlist mode
fix performances problems with autoupdated lists
fix some dialogs appearing below other windows
fix creating windows bigger than screen
replace "Do not add songs that can't be played" option by "Ignored file extensions" option
export plugin: fix wrong encoding of certain file names in .m3u
export plugin: export more fields in csv files
don't print messages in normal operation, add -verbose option
translation updates: Chinese(Taiwan), Finnish

v1.1.11
improve search responsiveness (improve responsiveness of SimpleSearch)
add auto-update mode that keeps browser lists sorted and filtered (on by default, can be disabled in the songlist/songtree option menu)
picture finder plugin: update google image, add bing and yahoo, various small changes
albuminfo plugin: update and fix parsing of Allmusic's pages
various improvements to song properties and mass-tagging dialogs
gstreamer : add option to monitor pulseaudio's volume, off by default as it is unstable due to thread problems with the libraries
close-to-tray option no longer depends on the use-tray option
various improvements and small fixes to error dialogs asking to retry
fix default filters "added today" and "played today" doing the opposite of what they say (only fixed for new users, if you were affected you have to edit them to fix it)
add a new-page button on TabbedLists/Context/NB (can be disabled with newbutton=0)
better handling of vertical scripts in vertical tabs
fix combo boxes for setting artist options in the misc tab of preferences
fix dialog for selecting label icons up-scaling small icons
dbus API: make CurrentSong output more fields
songtree: add $discname group variable
translation updates: Chinese(Taiwan), Finnish, German, Korean, Russian, Spanish

v1.1.10
finally update the layout doc
add playhistory and skiphistory fields, these fields hold a list of the dates of plays and skips (skiphistory disabled by default)
add fuzzy search filter for string fields (see commit 32ddecd64d)
smarter date parsing in SimpleSearch (see commit a9e84ca131)
add searching for not-defined/empty in SimpleSearch (see commit ceb42b5e8f)
set play/pause button default right-click action to "Stop"
add dialog to edit the row tip in SongTree/SongList (from the column context menu)
add filterlist option to show histograms in background    only shown for top-level, would require storing song numbers in store to show it in sub-trees
add "hide non-matching" option to type-ahead search in FilterLists
masstagging dialog: change the artist/... combobox (speed-ups, differentiate values from selected songs, and those from library )
improvements to album/artist menus
songs from album menu: add ctrl/shift-middle click action  (currently, both ctrl-middle click and shift middle-click now enqueue the song without popping down the menu)
lots of replaygain improvements and fixes, and add support for replaygain with mplayer
lots of improvements to float fields (used in song/album peak/gain fields) : distinguish 0 and undef, can be used in FilterPanes, better search
add option to make track/album-gain, playcount and skipcount editable in song properties
add support for compressed gmbrc, old backups are now compress with xz by default
add "title or filename" column and sort order
add "Play, queue or track" column to SongList

plugins:
picture finder: update to fix google and lastfm search
artistinfo: update to fix biography loading
artistinfo: various improvements
albuminfo: update to fix allmusic loading
albuminfo: add option to download info for all albums in collection
albuminfo: various improvements
lyrics: add toggle button to switch between read-only and editable
lyrics: add some keyboard shortcuts (ctrl-e ctrl-+ ctrl--)
lyrics: allow auto-scrolling to go backward
mpris2: add FullScreen property and fix behavior of Play and Pause
webcontext: make mouse buttons 8/9 go back/forward
webcontext: make middle-click open a link in a new tab (webkit only, page must be in a NB/Context/TabbedLists widget)

fixes:
m4a files: fix error when reading "----" atoms that don't contain a data sub-atom
mplayer : fix wrong time position on some mp3 by using -hr-mp3-seek option
FilterPanes: fix search bar not working for genres/labels/number/dates tabs
various search/filter fixes
mplayer and 123 backend: small fixes
fix dragging folders from the filesystem Filterpane tab
fix renaming folder with non-utf8 encoding
fix "add files of folders" no longer working when selecting only one folder
various keybinding fixes in songtree/cloud/mosaic
fix -tagedit command-line option
songlist/songtree: fix activate=playlist option and add 2 other modes
fix malformed non-ascii dates string with perl>=5.11.1

layouts:
layout definitions: make it easier to split long lines into multiple lines (\ no longer needed in most cases)
songlist/songtree: fix activate=playlist option and add 2 other values for activate option: filter_and_play and filter_sort_and_play
add hidetabs=1 options to NB/TabbedLists/Context (meant to be used with SetFocusOn to change the visible page/child)
make it possible for boxes (at least WB) to use hover_* options
songtree group skins: add $album_artist $album_artistid and $albumraw
commands:
add the ClearPlaylist and ChooseSongFromAlbum command
extend OpenPref command to make it possible to open a given page example: OpenPref(fields:artist)
fix ToggleFullScreen command not working from a menu
fix NextArtist command
Change "Clear queue" to only clear the queue, and not the queue mode

translation updates : Czech, Dutch, Korean, Portuguese and Russian
add Chinese(Taiwan), Finnish, Japanese and Serbian translation
(many thanks to the translators)


v1.1.9
add a few layouts and small fixes to some contributed layouts
improve songs-from-album menu
mpris2 plugin fixes
m4a tags fixes : use disk instead of disc tag, use both "©gen" and "com.apple.iTunes;genre" to save genre
fix lyrics3v2 tags ignored
write to all tags when multiple id3v2 tags are present
fix "presenting" window not working in some cases
LabelToggleButtons widget : add hide_unset option to hide labels that are not set for the song
add SongInfo & PictureBrowser widget
add expand_weight layout option
add hover_layout_pos option to control position of hover_layout popups (see http://git.gmusicbrowser.org/commit/41b0c69b45)
song properties dialog : add "plus" button to the widget that edit labels/genres/...
Filterpanes : add "reverse order" option to the sort submenu
fix recovering song properties of previously removed songs
use version field in a few more places
cover finder plugin : update google image parsing
make a few scrolledwindows request a minimal height (fix problems with ubuntu scrollbars)
desktop widgets plugin : make it possible to remove widgets whose layout is missing
improve the way the default window used by some fifo commands is chosen
add -noplugins and -listplugins command line options
add support for field aliases (can be used in search or in format string), example : "by" for "artist"
create field aliases from translation of "artist", "by", "album", "from", "title"
small change to gmb plugin header format so that it is a valid POD syntax, old format still supported
artistinfo plugin: restrict auto-fill-similar mode to songs from playlist

translations updates : Korean, Russian, German, French, Portuguese (Brazilian), Italian
add beginning of Dutch translation
(many thanks to the translators)

v1.1.8
finally updated the filter edition and description system to the new fields
cleaned-up included layouts and added a few contributed ones
lyrics plugin updates, including option to load/save lyrics in the tag
update artistinfo plugin, which now features a similar-artist queue mode)
add albuminfo plugin
use Gtk2::StatusIcon instead of Gtk2::TrayIcon for the trayicon
add option to specify mplayer executable (for mplayer2)
cover finder plugin updates
make length check for mp3 configurable, and changes to song check progress code
saving tags and options when not quiting is now done in a fork
add pre-amp to gstreamer's equalizer
add -backtrace command line option to show the backtrace of every warning
Capitalize each word tool : now capitalize after every non-letter rather than any space
create categories for fields and improve song info dialog
add style and theme as optional fields
add ReloadLayouts command and button
simple search syntax improvements
add QueueInsertSelected command to insert selected songs at the top of the queue
FilterPanes: add hscrollbar option to deactivate horizontal scrollbar
mpris2 plugin : add option to remove gmusicbrowser from the ubuntu sound menu
export plugin: gmusicbrowser no longer freeze while running custom commands and not using $files
m4a files : small fix for alac-encoded files so that they get audio info
simple_http : http header clean-ups and support for gzip-encoded content

translations updates : russian korean german portuguese
new transation : italian
(many thanks to the translators)

v1.1.7
loads of small bug fixes and small new features (see git log for more details)
some highlights :

- add mpris2 plugin, makes gmb work with the SoundMenu in ubuntu natty
- update artistinfo plugin
- add "Update tags" button in Misc. tab (to force writing of values in gmb to the tags, particulary useful after enabling writing of a field in tags)
- invert left and right-click behavior of Sort, Queue and Filter widgets (it is possible to configure a layout to have the old behavior)
- add some default keyboard shortcuts : F11 for making the window fullscreen, ctr-q to save-and-quit, alt-q to enqueue songs (was previously ctrl-q)
- add re-shuffle entry in sort menu when in shuffle mode
- FilterPane : add option to sort by artist for albums
- FilterPane mosaic : crtl-wheel increase/decrease picture size
- rename album_artist field and allow sorting by it
- add support for changing trayicon when playing or paused (with trayicon-play and trayicon-pause icons)
- should correctly add songs on a network drive that were wrongly considered as not readable
- increase the timeout when downloading a url
- keep cover when renaming albums
- increase limit for track value from 255 to 65535
- fix some drawing artifacts with some widgets
- small changes to google image search parameters and add a google image hi-res source

new layout options :
- split layouts file into songtree.layout and main.layout  default layouts are now read from layouts/*.layout
- add BM container 'Button Menu', a button that pops-up a layout-defined menu
- add option to change the icons of Buttons/Indicators that have different states such as Locks
- add orientation=vertical option to EditListButtons
- add tabpos option for FilterPane
- add new icons mainly for use in layouts
- add support for alpha-transparency in skins

translations :
update portuguese, czech and german
add korean and russian
(many thanks to the translators)

v1.1.6
loads of small bug fixes (see git log for more details)
small change to gmbrc file (don't go back to a previous version or you will lose your artist/album pictures)
rename a number of widgets, the old name will still work (see commit d92592a2a0)
fix trayicon not transparent (commit 9d4f5c1b20) (depends on the panel used, breaks transparency on some, seems it will eventually works for all panels)
LabelTime widget improvement (see commit b046a76c1b)
more "activate" options for SongTree, SongList and FilterPanes (and fixes)
some lyrics fixes and add font and justification option
add optional SuggestionMenu to SimpleSearch
change the click behavior of TimeSlider and VolumeSlider, use option step_mode=1 to keep the old behavior
add "Recent songs include skipped songs that haven't been played" option
make all backends behave the same when seeking while paused
mass-tagging dialog : change widget for genres and labels
change the way songs are counted as played/skipped and add options
change handling of http connections (use wget or AnyEvent::HTTP if found)
add support for custom filename formats in mass-tagging dialog
fixes for reading of ape files info
ape tags are now case-insensitive
support reading of embedded pictures in ogg files
support edition of embedded pictures in ogg and flac files
add "Start in tray" option
FilterPane mosaic mode: add options to display info next to picture or below it
add text format options for album/artist FilterLists
add Show and Hide commands, make Show the default command when an instance is already running
improve artist splitting options, and make changing the option immediate
add option to find guest artist in song titles such as : "songname (feat. artistname)"
make rating stars part of the icon theme, the number of stars now depends on the number of stars files found
fix HP/VP resizing issues
add "auto-select pictures" for albums (see commit 7a7f78eca4)
add optional fields, custom fields and field options (see commit 36eac19fb6)

update french, swedish and spanish translations
add portuguese and czech translations
(many thanks to the translators)

add MPRIS v1 plugin
add artistinfo plugin (by ochosi)

add elementary icon theme (by ochosi)

